//-----------------------------------------------------------------------------
// 
// 		cwCu		WindowsOSpff[^vO
// 
//  	Ver 3.13d
// 
//-----------------------------------------------------------------------------

// cwCu쐬p`
#define __DX_MAKE

#include "DxModelWin.h"

#ifndef DX_NON_MODEL

// CN[h ---------------------------------------------------------------
#include "DxGraphicsWin.h"
#include "DxGraphicsD3D9.h"
#include "DxGraphicsD3D11.h"
#include "DxModelD3D9.h"
#include "DxModelD3D11.h"
#include "DxWinAPI.h"
#include "DxWindow.h"
#include "../DxMask.h"

#ifdef DX_USE_NAMESPACE

namespace DxLib
{

#endif // DX_USE_NAMESPACE

// }N` -----------------------------------------------------------------

// \̐錾 -----------------------------------------------------------------

// f[^` -----------------------------------------------------------------

// ֐錾 -------------------------------------------------------------------


// vO -----------------------------------------------------------------

// `֌W̏ZbgAbv
extern void MV1_SetupPackDrawInfo_PF( MV1_MODEL_BASE *ModelBase )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		MV1_D3D11_SetupPackDrawInfo_PF( ModelBase ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		MV1_D3D9_SetupPackDrawInfo_PF( ModelBase ) ;
	}
}

// _obt@̃ZbgAbv( -1:G[ )
extern int MV1_SetupVertexBufferBase_PF( int MV1ModelBaseHandle, int DuplicateNum, int ASyncThread )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return MV1_D3D11_SetupVertexBufferBase_PF( MV1ModelBaseHandle, DuplicateNum, ASyncThread ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return MV1_D3D9_SetupVertexBufferBase_PF( MV1ModelBaseHandle, DuplicateNum, ASyncThread ) ;
	}
}

// ff[^̒_obt@̃ZbgAbv( -1:G[ )
extern int MV1_SetupVertexBuffer_PF( int MHandle, int ASyncThread )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return MV1_D3D11_SetupVertexBuffer_PF( MHandle, ASyncThread ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return MV1_D3D9_SetupVertexBuffer_PF( MHandle, ASyncThread ) ;
	}
}

// _obt@̌n( -1:G[ )
extern int MV1_TerminateVertexBufferBase_PF( int MV1ModelBaseHandle )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return MV1_D3D11_TerminateVertexBufferBase_PF( MV1ModelBaseHandle ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return MV1_D3D9_TerminateVertexBufferBase_PF( MV1ModelBaseHandle ) ;
	}
}

// _obt@̌n( -1:G[ )
extern int MV1_TerminateVertexBuffer_PF( int MV1ModelHandle )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return MV1_D3D11_TerminateVertexBuffer_PF( MV1ModelHandle ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return MV1_D3D9_TerminateVertexBuffer_PF( MV1ModelHandle ) ;
	}
}

// VFCvf[^̃ZbgAbv
extern int MV1_SetupShapeVertex_PF( int MHandle )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return MV1_D3D11_SetupShapeVertex_PF( MHandle ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return MV1_D3D9_SetupShapeVertex_PF( MHandle ) ;
	}
}

// Rcf̃_Ȍs
extern int MV1_BeginRender_PF( MV1_MODEL *Model )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return MV1_D3D11_BeginRender_PF( Model ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return MV1_D3D9_BeginRender_PF( Model ) ;
	}
}

// Rcf̃_Ǒns
extern int MV1_EndRender_PF( void )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return MV1_D3D11_EndRender_PF() ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return MV1_D3D9_EndRender_PF() ;
	}
}

// bV`敔𔲂o
extern void MV1_DrawMesh_PF( MV1_MESH *Mesh, int TriangleListIndex )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		MV1_D3D11_DrawMesh_PF( Mesh, TriangleListIndex ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		MV1_D3D9_DrawMesh_PF( Mesh, TriangleListIndex ) ;
	}
}



#ifdef DX_USE_NAMESPACE

}

#endif // DX_USE_NAMESPACE

#endif  // DX_NON_MODEL
