//-----------------------------------------------------------------------------
// 
// 		cwCu		WindowspGraphFilternvO
// 
//  	Ver 3.13d
// 
//-----------------------------------------------------------------------------

// cwCu쐬p`
#define __DX_MAKE

// CN[h ---------------------------------------------------------------
#include "DxGraphicsWin.h"
#include "DxGraphicsFilterWin.h"
#include "DxGraphicsFilterD3D9.h"
#include "DxGraphicsFilterD3D11.h"

#ifndef DX_NON_FILTER

#ifdef DX_USE_NAMESPACE

namespace DxLib
{

#endif // DX_USE_NAMESPACE

// }N` -----------------------------------------------------------------

// \̐錾 -----------------------------------------------------------------

// f[^` -----------------------------------------------------------------

// ֐錾 -------------------------------------------------------------------

// vO -----------------------------------------------------------------

// ˑ֌W

extern int	GraphFilter_Mono_PF(       GRAPHFILTER_INFO *Info, float Cb, float Cr )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_Mono_PF(       Info,  Cb,  Cr ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_Mono_PF(       Info,  Cb,  Cr ) ;
	}
}

extern int	GraphFilter_Gauss_PF(      GRAPHFILTER_INFO *Info, int PixelWidth, float Param, float *Table )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_Gauss_PF(      Info,  PixelWidth,  Param, Table ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_Gauss_PF(      Info,  PixelWidth,  Param, Table ) ;
	}
}

extern int	GraphFilter_Down_Scale_PF(  GRAPHFILTER_INFO *Info, int DivNum )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_Down_Scale_PF(  Info,  DivNum ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_Down_Scale_PF(  Info,  DivNum ) ;
	}
}

extern int	GraphFilter_Bright_Clip_PF( GRAPHFILTER_INFO *Info, int CmpType, float CmpParam, int ClipFillFlag, COLOR_F *ClipFillColor )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_Bright_Clip_PF( Info,  CmpType,  CmpParam,  ClipFillFlag, ClipFillColor ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_Bright_Clip_PF( Info,  CmpType,  CmpParam,  ClipFillFlag, ClipFillColor ) ;
	}
}

extern int	GraphFilter_HSB_PF(         GRAPHFILTER_INFO *Info, int HueType, float Hue, float Saturation, float Bright )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_HSB_PF(         Info,  HueType,  Hue,  Saturation,  Bright ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_HSB_PF(         Info,  HueType,  Hue,  Saturation,  Bright ) ;
	}
}

extern int	GraphFilter_Invert_PF(      GRAPHFILTER_INFO *Info )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_Invert_PF(      Info ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_Invert_PF(      Info ) ;
	}
}

extern int	GraphFilter_Level_PF(       GRAPHFILTER_INFO *Info, float Min, float Max, float Gamma, float AfterMin, float AfterMax )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_Level_PF(       Info,  Min,  Max,  Gamma,  AfterMin,  AfterMax ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_Level_PF(       Info,  Min,  Max,  Gamma,  AfterMin,  AfterMax ) ;
	}
}

extern int	GraphFilter_TwoColor_PF(    GRAPHFILTER_INFO *Info, float Threshold, COLOR_F *LowColor, COLOR_F *HighColor )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_TwoColor_PF(    Info,  Threshold, LowColor, HighColor ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_TwoColor_PF(    Info,  Threshold, LowColor, HighColor ) ;
	}
}

extern int	GraphFilter_GradientMap_PF( GRAPHFILTER_INFO *Info, int MapGrHandle, int Reverse )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_GradientMap_PF( Info,  MapGrHandle,  Reverse ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_GradientMap_PF( Info,  MapGrHandle,  Reverse ) ;
	}
}

extern int	GraphFilter_PremulAlpha_PF( GRAPHFILTER_INFO *Info )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_PremulAlpha_PF( Info ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_PremulAlpha_PF( Info ) ;
	}
}

extern int	GraphFilter_InterpAlpha_PF( GRAPHFILTER_INFO *Info )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_InterpAlpha_PF( Info ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_InterpAlpha_PF( Info ) ;
	}
}

/*
// 摜̃tB^[t]s( ψt )
extern int	GraphFilter_RectBltBase_PF( int IsBlend, int SrcGrHandle, int BlendGrHandle, int DestGrHandle, int BlendRatio, int FilterOrBlendType, int SrcX1, int SrcY1, int SrcX2, int SrcY2, int BlendX, int BlendY, int BlendPosEnable, int DestX, int DestY, va_list ParamList )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_RectBltBase_PF(  IsBlend,  SrcGrHandle,  BlendGrHandle,  DestGrHandle,  BlendRatio,  FilterOrBlendType,  SrcX1,  SrcY1,  SrcX2,  SrcY2,  BlendX,  BlendY,  BlendPosEnable,  DestX,  DestY, ParamList ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_RectBltBase_PF(  IsBlend,  SrcGrHandle,  BlendGrHandle,  DestGrHandle,  BlendRatio,  FilterOrBlendType,  SrcX1,  SrcY1,  SrcX2,  SrcY2,  BlendX,  BlendY,  BlendPosEnable,  DestX,  DestY, ParamList ) ;
	}
}

extern int	GraphFilter_RectBltBase_Timing0_PF( int SrcGrHandle, int DestGrHandle, int BlendGrHandle, int IsBlend, IMAGEDATA *TargetScreenImage )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_RectBltBase_Timing0_PF( SrcGrHandle, DestGrHandle, BlendGrHandle, IsBlend, TargetScreenImage ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_RectBltBase_Timing0_PF( SrcGrHandle, DestGrHandle, BlendGrHandle, IsBlend, TargetScreenImage ) ;
	}
}

extern int GraphFilter_RectBltBase_PF( GRAPHFILTER_INFO  *Info, GRAPHFILTER_PARAM *Param )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_RectBltBase_PF( Info, Param ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_RectBltBase_PF( Info, Param ) ;
	}
}
*/


extern int GraphFilter_RectBltBase_Timing0_PF( GRAPHFILTER_INFO *Info, GRAPHFILTER_PARAM *Param )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_RectBltBase_Timing0_PF( Info, Param ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_RectBltBase_Timing0_PF( Info, Param ) ;
	}
}

extern int GraphFilter_RectBltBase_Timing1_PF( void )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_RectBltBase_Timing1_PF() ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_RectBltBase_Timing1_PF() ;
	}
}

extern int GraphFilter_DestGraphSetup_PF( GRAPHFILTER_INFO *Info, int *UseSrcGrHandle, int *UseDestGrHandle )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_DestGraphSetup_PF( Info, UseSrcGrHandle, UseDestGrHandle ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_DestGraphSetup_PF( Info, UseSrcGrHandle, UseDestGrHandle ) ;
	}
}

extern int GraphFilter_DestGraphUpdate_PF( GRAPHFILTER_INFO *Info, int UseDestGrHandle, int FilterResult )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphFilter_D3D11_DestGraphUpdate_PF( Info, UseDestGrHandle, FilterResult ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphFilter_D3D9_DestGraphUpdate_PF( Info, UseDestGrHandle, FilterResult ) ;
	}
}



extern int	GraphBlend_Basic_PF(           GRAPHFILTER_INFO *Info )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphBlend_D3D11_Basic_PF(           Info ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphBlend_D3D9_Basic_PF(           Info ) ;
	}
}

extern int	GraphBlend_RGBA_Select_Mix_PF( GRAPHFILTER_INFO *Info, int SelectR, int SelectG, int SelectB, int SelectA )
{
#ifndef DX_NON_DIRECT3D11
	if( GRAWIN.Setting.UseDirect3D11 )
	{
		return GraphBlend_D3D11_RGBA_Select_Mix_PF( Info,  SelectR,  SelectG,  SelectB,  SelectA ) ;
	}
	else
#endif // DX_NON_DIRECT3D11
	{
		return GraphBlend_D3D9_RGBA_Select_Mix_PF( Info,  SelectR,  SelectG,  SelectB,  SelectA ) ;
	}
}



#ifdef DX_USE_NAMESPACE

}

#endif // DX_USE_NAMESPACE

#endif // DX_NON_FILTER


